Skip to main content
PATCH
/
api
/
v1
/
products
/
{product_id}
Update a product
curl --request PATCH \
  --url https://api.example.com/api/v1/products/{product_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "fee_structure": {
    "fee_type": "RATE"
  },
  "name": "<string>"
}
'
{
  "catalog": true,
  "created_at": "2023-11-07T05:31:56Z",
  "fee_structure": {
    "fee_type": "RATE"
  },
  "fee_type": "RATE",
  "id": "<string>",
  "name": "<string>",
  "product_family_id": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

product_id
string<MeteroidId>
required

Product ID

Example:

"prd_7n42DGM5Tflk9n8mt7Fhc7"

Body

application/json
description
string | null
fee_structure
object
name
string | null

Response

Product updated

catalog
boolean
required
created_at
string<date-time>
required
fee_structure
object
required
fee_type
enum<string>
required
Available options:
RATE,
SLOT,
CAPACITY,
USAGE,
EXTRA_RECURRING,
ONE_TIME
id
string<MeteroidId>
required
Example:

"prd_7n42DGM5Tflk9n8mt7Fhc7"

name
string
required
product_family_id
string<MeteroidId>
required
Example:

"pf_7n42DGM5Tflk9n8mt7Fhc7"

archived_at
string<date-time> | null
description
string | null